Upstream information

CVE-2009-2905 at MITRE

Description

Heap-based buffer overflow in textbox.c in newt 0.51.5, 0.51.6, and 0.52.2 allows local users to cause a denial of service (application crash) or possibly execute arbitrary code via a request to display a crafted text dialog box.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 540930 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libnewt0_52 >= 0.52.16-1.83
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libnewt0_52
SUSE Linux Enterprise Desktop 12 SP3
  • libnewt0_52 >= 0.52.16-1.83
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libnewt0_52
SUSE Linux Enterprise Module for Basesystem 15
  • libnewt0_52 >= 0.52.20-5.35
  • newt >= 0.52.20-5.35
  • python3-newt >= 0.52.20-5.35
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libnewt0_52
SUSE Linux Enterprise Module for Desktop Applications 15
  • newt-devel >= 0.52.20-5.35
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA newt-devel
SUSE Linux Enterprise Server 11 SP2
  • libnewt0_52 >= 0.52.10-1.35.7
  • newt >= 0.52.10-1.35.7
  • python-newt >= 0.52.10-1.35.7
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libnewt0_52
SUSE Linux Enterprise Server 11 SP3
  • libnewt0_52 >= 0.52.10-1.35.113
  • newt >= 0.52.10-1.35.113
  • python-newt >= 0.52.10-1.35.113
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libnewt0_52
SUSE Linux Enterprise Server 11 SP4
  • libnewt0_52 >= 0.52.10-1.35.113
  • newt >= 0.52.10-1.35.113
  • python-newt >= 0.52.10-1.35.113
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libnewt0_52
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libnewt0_52 >= 0.52.10-1.35.113
  • newt >= 0.52.10-1.35.113
  • newt-devel >= 0.52.10-1.35.7
  • newt-static >= 0.52.10-1.35.7
  • python-newt >= 0.52.10-1.35.113
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libnewt0_52
SUSE Linux Enterprise Software Development Kit 12
  • newt-devel >= 0.52.16-1.83
  • newt-static >= 0.52.16-1.83
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA newt-devel
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libnewt0_52 >= 0.52.16-1.83
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libnewt0_52
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libnewt0_52 >= 0.52.16-1.83
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libnewt0_52
SUSE Linux Enterprise SDK 10 SP3
  • libnewt0_52 >= 0.52.10-7.5.1
  • newt >= 0.52.10-7.5.1
  • newt-devel >= 0.52.10-7.5.1
  • newt-doc >= 0.52.10-7.5.1
sle10-sp3-sdk.s390x
sle10-sp3-sdk.x86
sle10-sp3-sdk.ppc
sle10-sp3-sdk.ia64
sle10-sp3-sdk.x86-64
ZYPP Patch Nr: 6524
SUSE Linux Enterprise SDK 11 GA
  • libnewt0_52 >= 0.52.10-1.32.1
  • newt >= 0.52.10-1.32.1
  • newt-devel >= 0.52.10-1.32.1
  • newt-static >= 0.52.10-1.32.1
  • python-newt >= 0.52.10-1.32.1
sle11-debuginfo.ia64
sle11-debuginfo.ppc
sle11-debuginfo.x86-64
sle11-sdk.x86
sle11-debuginfo.x86
sle11-sdk.ppc
sle11-sdk.ia64
sle11-sdk.x86-64
sle11-debuginfo.s390x
sle11-sdk.s390x
SAT Patch Nr: 1332
openSUSE 11.0
  • newt-debuginfo >= 0.52.9-20.2
  • newt-debugsource >= 0.52.9-20.2
openSUSE 11.0
  • libnewt0_52 >= 0.52.9-20.2
  • newt >= 0.52.9-20.2
  • newt-devel >= 0.52.9-20.2
  • newt-doc >= 0.52.9-20.2
  • newt-python >= 0.52.9-20.2
  • newt-static >= 0.52.9-20.2
openSUSE 11.1
  • newt-debuginfo >= 0.52.10-1.40.1
  • newt-debugsource >= 0.52.10-1.40.1
openSUSE 11.1
  • libnewt0_52 >= 0.52.10-1.40.1
  • newt >= 0.52.10-1.40.1
  • newt-devel >= 0.52.10-1.40.1
  • newt-doc >= 0.52.10-1.40.1
  • newt-static >= 0.52.10-1.40.1
  • python-newt >= 0.52.10-1.40.1
openSUSE Leap 15.0
  • libnewt0_52 >= 0.52.20-lp150.5.5
Patchnames:
openSUSE Leap 15.0 GA libnewt0_52
openSUSE Leap 42.1
  • libnewt0_52 >= 0.52.16-3.3
Patchnames:
openSUSE Leap 42.1 GA libnewt0_52
openSUSE Leap 42.2
  • libnewt0_52 >= 0.52.16-4.6
Patchnames:
openSUSE Leap 42.2 GA libnewt0_52
openSUSE Leap 42.3
  • libnewt0_52 >= 0.52.16-6.5
Patchnames:
openSUSE Leap 42.3 GA libnewt0_52
openSUSE Tumbleweed
  • libnewt0_52 >= 0.52.18-1.9
  • libnewt0_52-32bit >= 0.52.18-1.9
  • newt >= 0.52.18-1.9
  • newt-devel >= 0.52.18-1.9
  • newt-doc >= 0.52.18-1.9
  • newt-static >= 0.52.18-1.9
  • python-newt >= 0.52.18-1.9
Patchnames:
openSUSE Tumbleweed GA libnewt0_52


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA newt Released
SUSE Linux Enterprise SDK 11 GA newt Released
SUSE Linux Enterprise Server 11 GA newt Released